import{s as Ht,n as Mt,o as qt}from"../chunks/scheduler.b108d059.js";import{S as Pt,i as kt,g as a,s as n,r as D,A as It,h as s,f as l,c as o,j as $t,u as J,x as r,k as Tt,y as Ut,a as i,v as K,d as V,t as Z,w as ee}from"../chunks/index.008de539.js";import{H as te,E as Wt}from"../chunks/EditOnGithub.d1c48e3d.js";function At(Ne){let m,ne,le,oe,u,ae,d,se,f,Qe="My model requires <code>trust_remote_code=True</code>, can I submit it?",re,h,Xe="<li><em>We only support models that have been integrated into a stable version of the <code>transformers</code> library for automatic submission, as we don’t want to run possibly unsafe code on our cluster.</em></li>",me,p,De="What about models of type X?",ue,c,Je=`<li><em>We only support models that have been integrated into a stable version of the <code>transformers</code> library for automatic submission.</em>
How can I follow when my model is launched?</li> <li><em>You can look for its request file <a href="https://huggingface.co/datasets/open-llm-leaderboard/requests" rel="nofollow">here</a> and follow the status evolution, or directly in the queues above the submit form.</em></li>`,de,v,Ke="My model disappeared from all the queues, what happened?",fe,b,Ve='<li><em>A model disappearing from all the queues usually means that there has been a failure. You can check if that is the case by looking for your model <a href="https://huggingface.co/datasets/open-llm-leaderboard/requests" rel="nofollow">here</a>.</em></li>',he,y,Ze="What causes an evaluation failure?",pe,w,et="<li><em>Most of the failures we get come from problems in the submissions (corrupted files, config problems, wrong parameters selected for eval …), so we’ll be grateful if you first make sure you have followed the steps in <code>About</code>. However, from time to time, we have failures on our side (hardware/node failures, problems with an update of our backend, connectivity problems ending up in the results not being saved, …).</em></li>",ce,x,tt="How can I report an evaluation failure?",ve,g,lt='<li><em>As we store the logs for all models, feel free to create an issue, <strong>where you link to the requests file of your model</strong> (look for it <a href="https://huggingface.co/datasets/open-llm-leaderboard/requests/tree/main" rel="nofollow">here</a>), so we can investigate! If the model failed due to a problem on our side, we’ll relaunch it right away!</em> <em>Note: Please do not re-upload your model under a different name, it will not help</em></li>',be,C,ye,_,it="What kind of information can I find?",we,L,nt='<li><em>Let’s imagine you are interested in the Yi-34B results. You have access to 3 different information categories:</em><ul><li><em>The <a href="https://huggingface.co/datasets/open-llm-leaderboard/requests/blob/main/01-ai/Yi-34B_eval_request_False_bfloat16_Original.json" rel="nofollow">request file</a>: it gives you information about the status of the evaluation</em></li> <li><em>The <a href="https://huggingface.co/datasets/open-llm-leaderboard/results/tree/main/01-ai/Yi-34B" rel="nofollow">aggregated results folder</a>: it gives you aggregated scores, per experimental run</em></li> <li><em>The <a href="https://huggingface.co/datasets/open-llm-leaderboard/details_01-ai__Yi-34B/tree/main" rel="nofollow">details dataset</a>: it gives you the full details (scores and examples for each task and a given model)</em></li></ul></li>',xe,$,ot="Why do models appear several times in the leaderboard?",ge,T,at="<li><em>We run evaluations with user-selected precision and model commit. Sometimes, users submit specific models at different commits and at different precisions (for example, in float16 and 4bit to see how quantization affects performance). You should be able to verify this by displaying the <code>precision</code> and <code>model sha</code> columns in the display. If, however, you see models appearing several times with the same precision and hash commit, this is not normal.</em></li>",Ce,H,st="What is this concept of “flagging”?",_e,M,rt="<li><em>This mechanism allows users to report models that have unfair performance on the leaderboard. This contains several categories: exceedingly good results on the leaderboard because the model was (maybe accidentally) trained on the evaluation data, models that are copies of other models not attributed properly, etc.</em></li>",Le,q,mt="My model has been flagged improperly, what can I do?",$e,P,ut="<li><em>Every flagged model has a discussion associated with it - feel free to plead your case there, and we’ll see what to do together with the community.</em></li>",Te,k,He,I,dt="Search for models in the leaderboard by:",Me,U,ft="<li>Name, e.g., <em>model_name</em></li> <li>Multiple names, separated by <code>;</code>, e.g., <em>model_name1;model_name2</em></li> <li>License, prefix with <code>Hub License:...</code>, e.g., <em>Hub License: MIT</em></li> <li>Combination of name and license, order is irrelevant, e.g., <em>model_name; Hub License: cc-by-sa-4.0</em></li>",qe,W,Pe,A,ht="I upgraded my model and want to re-submit, how can I do that?",ke,Y,pt=`<li><em>Please open an issue with the precise name of your model, and we’ll remove your model from the leaderboard so you can resubmit. You can also resubmit directly with the new commit hash!</em>
I need to rename my model, how can I do that?</li> <li><em>You can use @Weyaxi ‘s <a href="https://huggingface.co/spaces/Weyaxi/open-llm-leaderboard-renamer" rel="nofollow">super cool tool</a> to request model name changes, then open a discussion where you link to the created pull request, and we’ll check them and merge them as needed.</em></li>`,Ie,E,Ue,S,ct="Why do you differentiate between pretrained, continuously pretrained, fine-tuned, merges, etc?",We,z,vt=`<li><em>These different models do not play in the same categories, and therefore need to be separated for fair comparison. Base pretrained models are the most interesting for the community, as they are usually good models to fine-tune later on - any jump in performance from a pretrained model represents a true improvement on the SOTA.
Fine-tuned and IFT/RLHF/chat models usually have better performance, but the latter might be more sensitive to system prompts, which we do not cover at the moment in the Open LLM Leaderboard.
Merges and moerges have artificially inflated performance on test sets, which is not always explainable, and does not always apply to real-world situations.</em></li>`,Ae,O,bt="What should I use the leaderboard for?",Ye,j,yt="<li><em>We recommend using the leaderboard for 3 use cases: 1) getting an idea of the state of open pretrained models, by looking only at the ranks and score of this category; 2) experimenting with different fine-tuning methods, datasets, quantization techniques, etc, and comparing their score in a reproducible setup, and 3) checking the performance of a model of interest to you, wrt to other models of its category.</em></li>",Ee,F,wt="Why don’t you display closed-source model scores?",Se,B,xt="<li><em>This is a leaderboard for Open models, both for philosophical reasons (openness is cool) and for practical reasons: we want to ensure that the results we display are accurate and reproducible, but 1) commercial closed models can change their API thus rendering any scoring at a given time incorrect 2) we re-run everything on our cluster to ensure all models are run on the same setup and you can’t do that for these models.</em></li>",ze,R,gt="I have an issue with accessing the leaderboard through the Gradio API",Oe,G,Ct="<li><em>Since this is not the recommended way to access the leaderboard, we won’t provide support for this, but you can look at tools provided by the community for inspiration!</em></li>",je,N,_t="I have another problem, help!",Fe,Q,Lt="<li><em>Please open an issue in the discussion tab, and we’ll do our best to help you in a timely manner :)</em></li>",Be,X,Re,ie,Ge;return u=new te({props:{title:"FAQ",local:"faq",headingTag:"h1"}}),d=new te({props:{title:"Submissions",local:"submissions",headingTag:"h2"}}),C=new te({props:{title:"Results",local:"results",headingTag:"h2"}}),k=new te({props:{title:"How to search for a model",local:"how-to-search-for-a-model",headingTag:"h2"}}),W=new te({props:{title:"Editing submissions",local:"editing-submissions",headingTag:"h2"}}),E=new te({props:{title:"Other",local:"other",headingTag:"h2"}}),X=new Wt({props:{source:"https://github.com/huggingface/leaderboards/blob/main/docs/source/en/open_llm_leaderboard/faq.md"}}),{c(){m=a("meta"),ne=n(),le=a("p"),oe=n(),D(u.$$.fragment),ae=n(),D(d.$$.fragment),se=n(),f=a("p"),f.innerHTML=Qe,re=n(),h=a("ul"),h.innerHTML=Xe,me=n(),p=a("p"),p.textContent=De,ue=n(),c=a("ul"),c.innerHTML=Je,de=n(),v=a("p"),v.textContent=Ke,fe=n(),b=a("ul"),b.innerHTML=Ve,he=n(),y=a("p"),y.textContent=Ze,pe=n(),w=a("ul"),w.innerHTML=et,ce=n(),x=a("p"),x.textContent=tt,ve=n(),g=a("ul"),g.innerHTML=lt,be=n(),D(C.$$.fragment),ye=n(),_=a("p"),_.textContent=it,we=n(),L=a("ul"),L.innerHTML=nt,xe=n(),$=a("p"),$.textContent=ot,ge=n(),T=a("ul"),T.innerHTML=at,Ce=n(),H=a("p"),H.textContent=st,_e=n(),M=a("ul"),M.innerHTML=rt,Le=n(),q=a("p"),q.textContent=mt,$e=n(),P=a("ul"),P.innerHTML=ut,Te=n(),D(k.$$.fragment),He=n(),I=a("p"),I.textContent=dt,Me=n(),U=a("ol"),U.innerHTML=ft,qe=n(),D(W.$$.fragment),Pe=n(),A=a("p"),A.textContent=ht,ke=n(),Y=a("ul"),Y.innerHTML=pt,Ie=n(),D(E.$$.fragment),Ue=n(),S=a("p"),S.textContent=ct,We=n(),z=a("ul"),z.innerHTML=vt,Ae=n(),O=a("p"),O.textContent=bt,Ye=n(),j=a("ul"),j.innerHTML=yt,Ee=n(),F=a("p"),F.textContent=wt,Se=n(),B=a("ul"),B.innerHTML=xt,ze=n(),R=a("p"),R.textContent=gt,Oe=n(),G=a("ul"),G.innerHTML=Ct,je=n(),N=a("p"),N.textContent=_t,Fe=n(),Q=a("ul"),Q.innerHTML=Lt,Be=n(),D(X.$$.fragment),Re=n(),ie=a("p"),this.h()},l(e){const t=It("svelte-u9bgzb",document.head);m=s(t,"META",{name:!0,content:!0}),t.forEach(l),ne=o(e),le=s(e,"P",{}),$t(le).forEach(l),oe=o(e),J(u.$$.fragment,e),ae=o(e),J(d.$$.fragment,e),se=o(e),f=s(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-1x4qbz3"&&(f.innerHTML=Qe),re=o(e),h=s(e,"UL",{"data-svelte-h":!0}),r(h)!=="svelte-1571aw2"&&(h.innerHTML=Xe),me=o(e),p=s(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-1ovux3r"&&(p.textContent=De),ue=o(e),c=s(e,"UL",{"data-svelte-h":!0}),r(c)!=="svelte-1qp4e9m"&&(c.innerHTML=Je),de=o(e),v=s(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-b1ucnl"&&(v.textContent=Ke),fe=o(e),b=s(e,"UL",{"data-svelte-h":!0}),r(b)!=="svelte-1bvxl9t"&&(b.innerHTML=Ve),he=o(e),y=s(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1u4hk9s"&&(y.textContent=Ze),pe=o(e),w=s(e,"UL",{"data-svelte-h":!0}),r(w)!=="svelte-1hxktzb"&&(w.innerHTML=et),ce=o(e),x=s(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-5sqb1n"&&(x.textContent=tt),ve=o(e),g=s(e,"UL",{"data-svelte-h":!0}),r(g)!=="svelte-1h99uhr"&&(g.innerHTML=lt),be=o(e),J(C.$$.fragment,e),ye=o(e),_=s(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-i373ri"&&(_.textContent=it),we=o(e),L=s(e,"UL",{"data-svelte-h":!0}),r(L)!=="svelte-1n93how"&&(L.innerHTML=nt),xe=o(e),$=s(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-1brrb5q"&&($.textContent=ot),ge=o(e),T=s(e,"UL",{"data-svelte-h":!0}),r(T)!=="svelte-t34dym"&&(T.innerHTML=at),Ce=o(e),H=s(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-1ek6uyu"&&(H.textContent=st),_e=o(e),M=s(e,"UL",{"data-svelte-h":!0}),r(M)!=="svelte-1gx8vv8"&&(M.innerHTML=rt),Le=o(e),q=s(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-tuuygf"&&(q.textContent=mt),$e=o(e),P=s(e,"UL",{"data-svelte-h":!0}),r(P)!=="svelte-11eo5cs"&&(P.innerHTML=ut),Te=o(e),J(k.$$.fragment,e),He=o(e),I=s(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-a4q5ip"&&(I.textContent=dt),Me=o(e),U=s(e,"OL",{"data-svelte-h":!0}),r(U)!=="svelte-1f368mv"&&(U.innerHTML=ft),qe=o(e),J(W.$$.fragment,e),Pe=o(e),A=s(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-10e8z7g"&&(A.textContent=ht),ke=o(e),Y=s(e,"UL",{"data-svelte-h":!0}),r(Y)!=="svelte-6omx0w"&&(Y.innerHTML=pt),Ie=o(e),J(E.$$.fragment,e),Ue=o(e),S=s(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-1ensg9f"&&(S.textContent=ct),We=o(e),z=s(e,"UL",{"data-svelte-h":!0}),r(z)!=="svelte-15ranr1"&&(z.innerHTML=vt),Ae=o(e),O=s(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-10q35dx"&&(O.textContent=bt),Ye=o(e),j=s(e,"UL",{"data-svelte-h":!0}),r(j)!=="svelte-glqvm3"&&(j.innerHTML=yt),Ee=o(e),F=s(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-7xzyt4"&&(F.textContent=wt),Se=o(e),B=s(e,"UL",{"data-svelte-h":!0}),r(B)!=="svelte-buh7yk"&&(B.innerHTML=xt),ze=o(e),R=s(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-14vlqzd"&&(R.textContent=gt),Oe=o(e),G=s(e,"UL",{"data-svelte-h":!0}),r(G)!=="svelte-10m86ra"&&(G.innerHTML=Ct),je=o(e),N=s(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-16fjyvj"&&(N.textContent=_t),Fe=o(e),Q=s(e,"UL",{"data-svelte-h":!0}),r(Q)!=="svelte-1ljaotn"&&(Q.innerHTML=Lt),Be=o(e),J(X.$$.fragment,e),Re=o(e),ie=s(e,"P",{}),$t(ie).forEach(l),this.h()},h(){Tt(m,"name","hf:doc:metadata"),Tt(m,"content",Yt)},m(e,t){Ut(document.head,m),i(e,ne,t),i(e,le,t),i(e,oe,t),K(u,e,t),i(e,ae,t),K(d,e,t),i(e,se,t),i(e,f,t),i(e,re,t),i(e,h,t),i(e,me,t),i(e,p,t),i(e,ue,t),i(e,c,t),i(e,de,t),i(e,v,t),i(e,fe,t),i(e,b,t),i(e,he,t),i(e,y,t),i(e,pe,t),i(e,w,t),i(e,ce,t),i(e,x,t),i(e,ve,t),i(e,g,t),i(e,be,t),K(C,e,t),i(e,ye,t),i(e,_,t),i(e,we,t),i(e,L,t),i(e,xe,t),i(e,$,t),i(e,ge,t),i(e,T,t),i(e,Ce,t),i(e,H,t),i(e,_e,t),i(e,M,t),i(e,Le,t),i(e,q,t),i(e,$e,t),i(e,P,t),i(e,Te,t),K(k,e,t),i(e,He,t),i(e,I,t),i(e,Me,t),i(e,U,t),i(e,qe,t),K(W,e,t),i(e,Pe,t),i(e,A,t),i(e,ke,t),i(e,Y,t),i(e,Ie,t),K(E,e,t),i(e,Ue,t),i(e,S,t),i(e,We,t),i(e,z,t),i(e,Ae,t),i(e,O,t),i(e,Ye,t),i(e,j,t),i(e,Ee,t),i(e,F,t),i(e,Se,t),i(e,B,t),i(e,ze,t),i(e,R,t),i(e,Oe,t),i(e,G,t),i(e,je,t),i(e,N,t),i(e,Fe,t),i(e,Q,t),i(e,Be,t),K(X,e,t),i(e,Re,t),i(e,ie,t),Ge=!0},p:Mt,i(e){Ge||(V(u.$$.fragment,e),V(d.$$.fragment,e),V(C.$$.fragment,e),V(k.$$.fragment,e),V(W.$$.fragment,e),V(E.$$.fragment,e),V(X.$$.fragment,e),Ge=!0)},o(e){Z(u.$$.fragment,e),Z(d.$$.fragment,e),Z(C.$$.fragment,e),Z(k.$$.fragment,e),Z(W.$$.fragment,e),Z(E.$$.fragment,e),Z(X.$$.fragment,e),Ge=!1},d(e){e&&(l(ne),l(le),l(oe),l(ae),l(se),l(f),l(re),l(h),l(me),l(p),l(ue),l(c),l(de),l(v),l(fe),l(b),l(he),l(y),l(pe),l(w),l(ce),l(x),l(ve),l(g),l(be),l(ye),l(_),l(we),l(L),l(xe),l($),l(ge),l(T),l(Ce),l(H),l(_e),l(M),l(Le),l(q),l($e),l(P),l(Te),l(He),l(I),l(Me),l(U),l(qe),l(Pe),l(A),l(ke),l(Y),l(Ie),l(Ue),l(S),l(We),l(z),l(Ae),l(O),l(Ye),l(j),l(Ee),l(F),l(Se),l(B),l(ze),l(R),l(Oe),l(G),l(je),l(N),l(Fe),l(Q),l(Be),l(Re),l(ie)),l(m),ee(u,e),ee(d,e),ee(C,e),ee(k,e),ee(W,e),ee(E,e),ee(X,e)}}}const Yt='{"title":"FAQ","local":"faq","sections":[{"title":"Submissions","local":"submissions","sections":[],"depth":2},{"title":"Results","local":"results","sections":[],"depth":2},{"title":"How to search for a model","local":"how-to-search-for-a-model","sections":[],"depth":2},{"title":"Editing submissions","local":"editing-submissions","sections":[],"depth":2},{"title":"Other","local":"other","sections":[],"depth":2}],"depth":1}';function Et(Ne){return qt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jt extends Pt{constructor(m){super(),kt(this,m,Et,At,Ht,{})}}export{jt as component};
